summaryrefslogtreecommitdiffstats
path: root/ci/test.sh
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-06-13 16:22:56 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-06-13 16:22:56 +0000
commit5e590a06ad0d3d859b865e2cc2428cb6be679099 (patch)
tree0d935d2310e8a0d80dda37b2f75d8b44ab561ad0 /ci/test.sh
parentf54ff500424eaf4301dd221a82cb62034c8ed7d9 (diff)
parent24171d4b3b3a94a64b34c8f70e90b4ae5a97ef92 (diff)
Merge "converting apex ip_utils unit tests to nose"
Diffstat (limited to 'ci/test.sh')
-rwxr-xr-xci/test.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/ci/test.sh b/ci/test.sh
new file mode 100755
index 00000000..0f2bc046
--- /dev/null
+++ b/ci/test.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+##############################################################################
+# Copyright (c) 2016 Dan Radez (Red Hat)
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+
+# Make sure python is installed
+if ! rpm -q python34-devel > /dev/null; then
+ sudo yum install -y epel-release
+ if ! sudo yum install -y python34-devel; then
+ echo "Failed to install python34-devel package..."
+ exit 1
+ fi
+fi
+
+# Make sure coverage is installed
+if ! python3 -c "import coverage" &> /dev/null; then sudo easy_install-3.4 coverage; fi
+
+make python-tests
+pushd ../tests/ > /dev/null
+percent=$(coverage3 report --include '*lib/python/*' -m | grep TOTAL | tr -s ' ' | awk '{ print $4 }' | cut -d % -f 1)
+if [[ percent -lt 80 ]]; then
+ echo "Python Coverage: $percent"
+ echo "Does not meet 80% requirement"
+ exit 1
+fi
+popd > /dev/nul